Summary: Utility for converting FIG files (made by xfig) to other formats
Name: transfig
Version: 3.2.5d
Release: 1
License: MIT
URL: http://www.xfig.org/
Group: Applications/Multimedia
Source0: http://downloads.sourceforge.net/mcj/%{name}.%{version}.tar.gz
Patch0: %{name}-%{version}-aix.patch

BuildRequires: libpng-devel >= 1.2.44
BuildRequires: libjpeg-devel >= 6b
BuildRequires: libXpm-devel >= 3.5.7-4

Requires: ghostscript
Requires: libpng >= 1.2.44
Requires: libjpeg >= 6b
Requires: libXpm >= 3.5.7-4
Requires: ghostscript >= 8.60
Requires: netpbm-progs >= stable_svn2008.04.23

Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The transfig utility creates a makefile which translates FIG (created
by xfig) or PIC figures into a specified LaTeX graphics language (for
example, PostScript(TM)).  Transfig is used to create TeX documents
which are portable (i.e., they can be printed in a wide variety of
environments).

Install transfig if you need a utility for translating FIG or PIC
figures into certain graphics languages.


%prep
%setup -q -n %{name}.%{version}
%patch0

# fix source permissions
find -type f -exec chmod -x {} \;

# remove garbage
rm -f doc/manual/Makefile.orig doc/fig2dev.1.orig


%build
xmkmf
make Makefiles
make


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

make DESTDIR=${RPM_BUILD_ROOT} install install.man

# fig2ps2tex{,.sh} are equivalent, use the sh one
mv ${RPM_BUILD_ROOT}%{_bindir}/fig2ps2tex.sh ${RPM_BUILD_ROOT}%{_bindir}/fig2ps2tex
ln -s fig2ps2tex ${RPM_BUILD_ROOT}%{_bindir}/fig2ps2tex.sh

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

# make symbolic links
cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc CHANGES NOTES README LATEX.AND.XFIG
%{_bindir}/*
%{_mandir}/man1/*
%{_libdir}/X11/xfig
%{_libdir}/fig2dev
/usr/bin/*


%changelog
* Mon May 23 2011 Michael Perzl <michael@perzl.org> - 3.2.5d-1
- first version for AIX V5.1 and higher
